Subject: RE: Can't get wu-ftpd to set umask correctly

From: "Madden, Joe" <[email-masked]>
Date: Fri, 16 Aug 1996 10:43:08 -0400

There is an undocumented command line switch that you might try
including in your inetd.conf file.  For example:

  ftp stream tcp nowait root /usr/local/bin/ftpd  ftpd -alL -u 177

This switch should be processed properly in ftpd.c.  This is only
general advice for  your case since I do not run wu-ftpd on any Sun
platforms.  I hope this helps.

>----------
>From: 	[email-masked][SMTP:[email-masked]]
>Sent: 	Thursday, August 15, 1996 9:18 PM
>To: 	[email-masked]
>Subject: 	Can't get wu-ftpd to set umask correctly
>
>I have just downloaded and set up wu-ftpd on a Sun 4.1.3 system.
>
>I think I have it mostly configured with one slight problem:
>
>If I log in as an anonymous user and upload a file, the file ownership
>is not
>being set as I have specified in the ftpaccess file.
>
>Here are what I think are the relevant lines:
>
>upload /usr2/home/thor/ftp  *                  no
>upload /usr2/home/thor/ftp  /pub/incomming     yes root other 0311     
>        
>what I'm ending up with is the uploaded files owned by ftp/daemon with
>rw
>access.
>
>This seems to be a pretty basic case, I must be doing something wrong. 
>        
>Thanks,
>
>Mark Z.
>                        
>------------------------------------------------------------------------
>-------
>Mark H. Zellers                                            
>[email-masked]
>Fusion Software, Inc.                                       Ph:  (415)
>327-3873
>445 Sherman Ave, Palo Alto, CA                              Fax: (415)
>327-7111
>
>

---

From: [email-masked] (Mark H. Zellers)
Date: Tue, 20 Aug 1996 14:54:22 -0700

At 12:42 PM 8/20/96 -0400, Anne Kilarjian wrote:
>Hi Mark, perhaps you have solved your problem already, but I just
>noticed your message and have just solved it here after spending
>way too much time on it-
>
>Turns out that for anonymous uploads the base dir part of the upload 
>directive (/usr2/home/thor/ftp in your case) MUST be the home dir
>*as it appears in /etc/passwd* for user ftp for this to work -
>(in my case I had it set to /usr/spool/ftp which was a symlink
>to /var/spool/ftp, once I changed it to /var/spool it worked
>correctly).

Thanks!!! that was just what I needed.  That and one other minor change 
to the example in the O'Reilly & Associates book.  I needed:

path-filter anonymous /path/message ^[-A-Za-z0-9._]*$ ^. ^-

changed to:

path-filter anonymous /path/message ^[-A-Za-z0-9._]*$ ^\. ^-

otherwise, it would reject filenames that contained .s

Mark Z.
-------------------------------------------------------------------------------
Mark H. Zellers                                             [email-masked]
Fusion Software, Inc.                                       Ph:  (415) 327-3873
445 Sherman Ave, Palo Alto, CA                              Fax: (415) 327-7111